| Home | Libraries | People | FAQ | More

## Struct template result

boost::proto::functional::as_env::result

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    template<typename Sig>
    struct result {
      // types
      typedef see-below type;
    };

## Description

Encodes the return type of `proto::functional::as_env::operator()`. The presence of this member template makes `proto::functional::as_env` a valid TR1-style function object type usable with `boost::result_of<>`.

### `result` public types

1. typedef `see-below` type;

   See `proto::functional::as_env::operator()`.